Subject: Re: [PATCH net-next 02/14] devlink: split out core code

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Jan 2023 18:10:06 -0800

On Wed, 4 Jan 2023 10:50:32 +0100 Jiri Pirko wrote:
> >Rename devlink_netdevice_event() to make it clear that it only touches
> >ports (that's the only change which isn't a pure code move).  
> 
> Did you do any other changes on the move? 

Please read the paragraph you're quoting again.
I specifically addressed this question.

> I believe that for patches like this that move a lot of code it is
> beneficial to move the code "as is". The changes could be done in a
> separate patches, for the ease of review purposes.

I obviously know that. That's why patch 1 and patch 2 are separate.
The line between what warrants a separate patch and what doesn't
is somewhat subjective.

> Could you please?

Sure.. :/